OsgiPluginConvention (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins.osgi

## [Java] Class OsgiPluginConvention

- org.gradle.api.plugins.osgi.OsgiPluginConvention

- Is mixed in into the project when applying the OsgiPlugin .

- - ### Constructor Summary

    Constructors
    Constructor and description
    `OsgiPluginConvention (org.gradle.api.internal.project.ProjectInternal project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `OsgiManifest` | `osgiManifest()` Creates a new instance of OsgiManifest.
    `OsgiManifest` | `osgiManifest(groovy.lang.Closure closure)` Creates and configures a new instance of an OsgiManifest .

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public OsgiPluginConvention(org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### public OsgiManifest osgiManifest()

      Creates a new instance of OsgiManifest. The returned object is preconfigured with:

           version: project.version
           name: project.archivesBaseName
           symbolicName: project.group + "." + project.archivesBaseName (see below for exceptions to this rule)

      The symbolic name is usually the group + "." + archivesBaseName, with the following exceptions
      - if group has only one section (no dots) and archivesBaseName is not null then the first package name with classes is returned. eg. commons-logging:commons-logging -> org.apache.commons.logging
      - if archivesBaseName is equal to last section of group then group is returned. eg. org.gradle:gradle -> org.gradle
      - if archivesBaseName starts with last section of group that portion is removed. eg. org.gradle:gradle-core -> org.gradle.core

    - #### public OsgiManifest osgiManifest(groovy.lang.Closure closure)

      Creates and configures a new instance of an OsgiManifest . The closure configures the new manifest instance before it is returned.